%define name    searchandrescue
%define Name    SearchAndRescue
%define version 1.4.0
%define release %mkrel 1

%define title       SearchAndRescue
%define longtitle   Helicopter simulator

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Helicopter simulator
Summary(de):	Helikoptersimulation
License:        GPL
Group:          Games/Other
Url:            http://searchandrescue.sourceforge.net/
Source0:        http://sourceforge.net/projects/searchandrescue/files/Program/%{Name}-%{version}.tar.xz
# Make the game display correct version 1.4.0 instead of 1.3.0
Patch0:		searchandrescue-1.4.0-version.patch
Requires:       %{name}-data
Buildrequires:  jsw-devel
Buildrequires:  yiff-devel
Buildrequires:  %{_lib}x11-devel
Buildrequires:  Mesa-common-devel
Buildrequires:  imagemagick
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
Changing the pace of recent sterotypical game themes, Search and Rescue aims to
create a plot based on positive goals such as saving victims in varying 
situations of distress.
The player will be given the chance to pilot different types of rescue aircraft
in a variety of search and rescue style missions.
Search and Rescue is highly customizeable by allowing intermediate players to 
create their own missions and allowing experianced players to design their own 
aircraft and scenery.  

%description -l de
Verändert des Tempos der jüngsten sterotypischen Spiele-Designs, Search and Rescue 
soll eine Handlung, basierend auf positiven Zielen, wie das Bergen von Opfern in 
unterschiedlichen Notsituationen vermitteln.

Der Spieler erhält die Möglichkeit, Pilot unterschiedlicher Rettungsflugzeuge in 
verschiedensten Such- und Rettungsmissionen zu sein.

Search and Rescue ist sehr anpassungsfreundlich und ermöglicht inzwischen Spieler 
für ihre eigenen Missionen zu erstellen und erfahrenen Spielern, ihre eigenen 
Flugzeuge und Landschaft zu entwickeln. 

%prep
%setup -q -n %{name}_%{version}
%patch0 -p1 -b .ver

%build
export CFLAGS="%{optflags} -D__USE_BSD -DHAVE_SDL_MIXER -Wno-write-strings -DNEW_GRAPHICS"
export LD_LIBRARY_PATH=%{_libdir}
export CPP="g++ %{ldflags} "
./configure Linux -v --libdir="-L%{_libdir}" --disable=Y2
%make all

%install
rm -rf %{buildroot}
make PREFIX=%{buildroot}%{_prefix} MAN_DIR=%{buildroot}%{_mandir}/man6 install

# icons
convert sar/icons/%{Name}.xpm -resize 16x16 %{name}-16.png
convert sar/icons/%{Name}.xpm -resize 32x32 %{name}-32.png
convert sar/icons/%{Name}.xpm %{name}-48.png
install -D -m 644 %{name}-16.png %{buildroot}%{_miconsdir}/%{name}.png
install -D -m 644 %{name}-32.png %{buildroot}%{_iconsdir}/%{name}.png 
install -D -m 644 %{name}-48.png %{buildroot}%{_liconsdir}/%{name}.png 

#install -d -m 755 %{buildroot}%{_datadir}/pixmaps
#mv %{buildroot}%{_prefix}/X11R6/include/X11/pixmaps/*.xpm \
#    %{buildroot}%{_datadir}/pixmaps
#rm -rf %{buildroot}%{_prefix}/X11R6

# menu entry

install -d -m 755 %{buildroot}%{_datadir}/applications
cat >  %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{title}
Comment=%{longtitle}
Comment[de]=Spiel mit dem Ziel Leben zu retten.
Exec=%{_gamesbindir}/SearchAndRescue
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=Game/Simulation;X-MandrivaLinux-MoreApplications-Games-Strategy
EOF

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc AUTHORS  HACKING  INSTALL  README
%{_gamesbindir}/*
%{_mandir}/man6/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*.xpm
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Sun Jun 03 2012 Neal <nealbrks0 at gmail dot com> 1.4.0-1pclos2012
- process

* Sun Jun 03 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 1.4.0-1pclos2012
- 1.4.0
- added german summary, description and comment in desktop file
- added version patch from mdv
- fixed exec line in desktop file

* Sat Jul 17 2010 johnnyblack <johnnyblack at inbox.com> 1.0.0-1pclos2010
- import into pclos based on specfile from mdv

